#! /bin/bash
echo "* * * * * * * * * * * * * * * *"
echo "*                             *"
echo "*         Migration           *"
echo "*                             *"
echo "* * * * * * * * * * * * * * * *"

# drush ms --group=d7_materio

echo " "
echo "Migrating Files"
drush mim d7_allpublicfiles --feedback="1000"
sleep 5

echo " "
echo "Migrating Users"
drush mim d7_users --feedback="1000"
echo " "
drush mim d7_user_profile --feedback="1000"
echo " "
drush mim d7_uc_roles_license --update --feedback="200"
sleep 5

echo " "
echo "Migrating Taxonomy"
echo "Migrating thesaurus"
drush mim d7_taxonomy_term_thesaurus --update --feedback="100"
echo " "
drush mim d7_taxonomy_term_thesaurus_i18n --update --feedback="100"
sleep 5

echo " "
echo "Migrating tags"
drush mim d7_taxonomy_term_tags --update --feedback="100"
echo " "
drush mim d7_taxonomy_term_tags_i18n --update --feedback="100"
sleep 5

echo " "
echo "Migrating companies"
drush mim d7_taxonomy_term_company --update --feedback="100"
sleep 5

echo " "
echo "Migrating showroom"
drush mim d7_taxonomy_term_showroom --update --feedback="100"
sleep 5

echo " "
echo "Migrating Nodes"
echo "Migrating Materials"
drush mim d7_node_materiau --feedback="1000"
echo " "
drush mim d7_node_materiau_i18n --feedback="1000"
sleep 5

echo " "
echo "Migrating breves"
drush mim d7_node_article --feedback="100"
echo " "
drush mim d7_node_article_i18n --feedback="100"
sleep 5

echo " "
echo "Migrating simplenews"
drush mim d7_simplenews_nodes --feedback="200"
drush mim d7_simplenews_subscribers --update --feedback="1000"
sleep 5
